summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author David Spencer <idlemoor@slackbuilds.org>2016-03-29 20:01:13 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-03-31 12:48:02 +0100
commit0753b35e0744e33def272d05d3d289829cf82475 (patch)
treeec6a9943581e20e2b0b9ffbd055846e5b4c51f55 /audio
parent709c5dbfd6efc3b98761034895cc8d472932dde0 (diff)
downloadslackbuilds-0753b35e0744e33def272d05d3d289829cf82475.tar.gz
slackbuilds-0753b35e0744e33def272d05d3d289829cf82475.tar.xz
audio/guitarix: Fix building on i486.
Due to changes in gcc-5.3.0, guitarix fails to build without SSE. Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/guitarix/README6
-rw-r--r--audio/guitarix/guitarix.SlackBuild16
2 files changed, 14 insertions, 8 deletions
diff --git a/audio/guitarix/README b/audio/guitarix/README
index 5dd02bf29d..b83c4c88a3 100644
--- a/audio/guitarix/README
+++ b/audio/guitarix/README
@@ -4,11 +4,9 @@ distortion and a diversity of crazy sounds never heard before. Guitarix
can be used as a standalone application, as LADSPA plugins, or as LV2
plugins.
-meterbridge is an optional runtime dependency.
+On 32 bit, a cpu with SSE instructions is required.
-By default, the package is built with SSE support if the host CPU supports
-SSE. If building for another host, you can set SSE=no in the environment
-to build without it.
+meterbridge is an optional runtime dependency.
Starting with version 0.34.0, guitarix can browse and download presets
from the web, using the 'Online' button in the preset selector. To
diff --git a/audio/guitarix/guitarix.SlackBuild b/audio/guitarix/guitarix.SlackBuild
index adba06e984..aab340422d 100644
--- a/audio/guitarix/guitarix.SlackBuild
+++ b/audio/guitarix/guitarix.SlackBuild
@@ -37,6 +37,14 @@
# - Add WEBKIT=no option.
# - Remove LV2=no option from README (but not from script).
+# 20160329 dbs:
+# - Updated for Slackware-14.2. Forced -msse in SLKCFLAGS.
+# This just won't build without SSE on 32 bit gcc-5.3.0 :(
+# xmmintrin.h:857:1: error: inlining failed in call to always_inline
+# ‘void _MM_SET_EXCEPTION_STATE(unsigned int)’: target specific option mismatch
+# Patch 0003-fix-build-even-for-gcc4.8.patch doesn't fix it, and there
+# are no further fixes upstream at this time.
+
# Modified version released under the WTFPL, for details see
# http://www.wtfpl.net/txt/copying/
@@ -59,10 +67,10 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -msse"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -msse"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
@@ -109,8 +117,8 @@ if [ "${PATCH:-no}" = "yes" ]; then
done
fi
-# allow building non-SSE package on SSE host
-[ "${SSE:-yes}" = "no" ] && EXTRAOPT="$EXTRAOPT --disable-sse"
+# Disallow building non-SSE package
+[ "${SSE:-yes}" = "no" ] && echo "Building a non-SSE package is not supported." && exit 1
LIBDIR="/usr/lib${LIBDIRSUFFIX}"
./waf configure \